Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006069 [JEDI VCL] 00 JVCL Components crash always 2013-01-20 14:32 2015-09-14 13:20
Reporter stevegr View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006069: TJvDBGrid.CalcSizingState -> Mantis 5818 issue NOT resolved.
Description Earlier fix of Mantis 5818 issue produced a new bug when trying to resize partially displayed rightmost column. Latest fix (JVCL3-2013-01-20) reproduced the first bug. I upload the final fix for TJvDBGrid.CalcSizingState.

Regards,

Steve
Argonet Development Group
www.argonet.gr

Additional Information
Tags No tags attached.
Attached Files txt file icon ADG.txt [^] (1,615 bytes) 2013-01-20 14:33
txt file icon ADG2.txt [^] (1,626 bytes) 2013-02-15 19:59

- Relationships

-  Notes
(0020429)
stevegr (reporter)
2013-02-15 19:59

Upload fix for Mantis 6061 issue. (Filename ADG2.txt)

(The fix is contributed by Argonet Development Group that implemented the column resizing feature. Any future remarks whould be much appreciated to improve this feature further).

Related issues: 6061, 6082.
(0020438)
frank_jepsen (reporter)
2013-02-19 08:14

Hi,

in my review in 6082 it handled all cases.
This should be used for JVCL.

Regards
Frank
(0020440)
stevegr (reporter)
2013-02-19 12:59

That's excellent,

A new set of improvements regarding TJvDBGrid will be uploaded soon.

By the way, do you use LibreOffice or PostgreSQL?
(0020441)
frank_jepsen (reporter)
2013-02-19 13:05

No I am working with BetterADODataset on MS-SQL in a JvDBUltimGrid with Ex-/Import to MS-Excel.

What Improvements?
(0020502)
AHUser (developer)
2013-05-25 14:26

Fixed in svn revision 13517.

- Issue History
Date Modified Username Field Change
2013-01-20 14:32 stevegr New Issue
2013-01-20 14:33 stevegr File Added: ADG.txt
2013-02-15 19:59 stevegr Note Added: 0020429
2013-02-15 19:59 stevegr File Added: ADG2.txt
2013-02-19 08:14 frank_jepsen Note Added: 0020438
2013-02-19 12:59 stevegr Note Added: 0020440
2013-02-19 13:05 frank_jepsen Note Added: 0020441
2013-05-25 14:26 AHUser Note Added: 0020502
2013-05-25 14:26 AHUser Status new => resolved
2013-05-25 14:26 AHUser Fixed in Version => Daily / SVN
2013-05-25 14:26 AHUser Resolution open => fixed
2013-05-25 14:26 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker